@if (requirementVersionViewComponentData) {
  @if (requirementVersionViewComponentData.requirementVersion.hasExtender) {
    <div class="requirement-version-information-grid">
      <sqtm-core-label
        [text]="'sqtm-core.entity.requirement.url.label' | translate"
      >
      </sqtm-core-label>
      <div>
        <a
          [href]="
            requirementVersionViewComponentData.requirementVersion.remoteReqUrl
          "
          target="_blank"
        >
          {{
            requirementVersionViewComponentData.requirementVersion
              .remoteSynchronisationKind ===
            SynchronizationPluginId.XSQUASH4GITLAB
              ? extractGitlabProjectAndIidFromUrl(
                  requirementVersionViewComponentData.requirementVersion
                    .remoteReqUrl
                )
              : requirementVersionViewComponentData.requirementVersion
                  .remoteReqId
          }}</a
        >
        @if (hasMoreThanOneSyncReqIdForRemoteSyncId()) {
          <i
            nz-icon
            nzType="sqtm-core-generic:exclamation"
            nzTheme="outline"
            nz-tooltip
            [nzTooltipTitle]="multipleSyncReqsOnSameRemoteIdWarning"
            class="current-workspace-button tooltip-icon table-icon-size sqtm-core-warning-message"
          >
          </i>
        }
      </div>
      @if (requirementVersionViewComponentData.requirementVersion.syncStatus) {
        <div class="label-with-icon">
          <sqtm-core-label
            [text]="
              'sqtm-core.entity.requirement.synchronization-status.label'
                | translate
            "
          >
          </sqtm-core-label>
          <i
            nz-icon
            nzType="sqtm-core-generic:help"
            nzTheme="outline"
            nz-tooltip
            [nzTooltipTitle]="
              'sqtm-core.entity.requirement.synchronization-status.help'
                | translate
            "
            class="current-workspace-button tooltip-icon table-icon-size"
          >
          </i>
        </div>
      }
      @if (requirementVersionViewComponentData.requirementVersion.syncStatus) {
        <div>
          <span class="field-value-color">{{ syncStatus | translate }}</span>
        </div>
      }
      @if (requirementVersionViewComponentData.requirementVersion.syncStatus) {
        <div class="label-with-icon">
          @if (
            requirementVersionViewComponentData.requirementVersion
              .remoteReqPerimeterStatus
          ) {
            <sqtm-core-label
              [text]="
                'sqtm-core.requirement-workspace.sync.issue-status.label'
                  | translate
              "
            >
            </sqtm-core-label>
          }
          <i
            nz-icon
            nzType="sqtm-core-generic:help"
            nzTheme="outline"
            nz-tooltip
            [nzTooltipTitle]="
              'sqtm-core.requirement-workspace.sync.issue-status.help'
                | translate
            "
            class="current-workspace-button tooltip-icon table-icon-size"
          >
          </i>
        </div>
      }
      @if (
        requirementVersionViewComponentData.requirementVersion.syncStatus &&
        requirementVersionViewComponentData.requirementVersion
          .remoteReqPerimeterStatus
      ) {
        <div>
          <span class="field-value-color">{{
            remoteReqPerimeterStatus | translate
          }}</span>
        </div>
      }
    </div>
  }
  <div class="requirement-version-information-grid">
    <sqtm-core-label
      [text]="'sqtm-core.entity.requirement.version-number.short' | translate"
    >
    </sqtm-core-label>
    <div>
      @if (requirementVersionViewComponentData.requirementVersion.hasExtender) {
        <span
          >{{
            requirementVersionViewComponentData.requirementVersion.versionNumber
          }}
          {{
            'sqtm-core.requirement-workspace.sync.history-disabled' | translate
          }}</span
        >
      } @else {
        @if (
          this.referentialDataService.milestoneModeData$ | async;
          as milestoneState
        ) {
          @if (
            !(
              milestoneState.milestoneModeEnabled &&
              milestoneState.milestoneFeatureEnabled
            )
          ) {
            <a
              [attr.data-test-field-id]="'requirement-version-number'"
              [routerLink]="[
                '/',
                'requirement-workspace',
                'requirement',
                requirementVersionViewComponentData.requirementVersion
                  .requirementId,
                'version'
              ]"
              >{{
                requirementVersionViewComponentData.requirementVersion
                  .versionNumber
              }}</a
            >
          } @else {
            <span
              >{{
                requirementVersionViewComponentData.requirementVersion
                  .versionNumber
              }}
              {{
                'sqtm-core.requirement-workspace.milestone.history-disabled'
                  | translate
              }}</span
            >
          }
        }
      }
    </div>
    <sqtm-core-label
      [text]="'sqtm-core.entity.requirement.id.full' | translate"
    >
    </sqtm-core-label>
    <div [attr.data-test-field-id]="'requirement-id'">
      <span class="field-value-color">{{
        requirementVersionViewComponentData.requirementVersion.requirementId
      }}</span>
    </div>
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.status.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-editable-select-level-enum-field
      #statusField
      class="full-width"
      [attr.data-test-field-id]="'requirement-version-status'"
      [layout]="'no-buttons'"
      [enumType]="'RequirementStatus'"
      [showIcon]="true"
      [selectedEnumItem]="
        requirementVersionViewComponentData.requirementVersion.status
      "
      [editable]="
        requirementVersionViewComponentData.milestonesAllowModification &&
        requirementVersionViewComponentData.permissions.canWrite
      "
      (confirmEvent)="updateStatus($event)"
    >
    </sqtm-core-editable-select-level-enum-field>
    <sqtm-core-label
      [text]="'sqtm-core.entity.requirement.version.id.full' | translate"
    >
    </sqtm-core-label>
    <div [attr.data-test-field-id]="'requirement-version-id'">
      <span class="field-value-color">{{
        requirementVersionViewComponentData.requirementVersion.id
      }}</span>
    </div>
    <sqtm-core-label
      [text]="'sqtm-core.entity.requirement.criticality.label' | translate"
    >
    </sqtm-core-label>
    <div
      class="flex-row"
      [attr.data-test-field-id]="'requirement-version-criticality'"
    >
      <sqtm-core-editable-select-level-enum-field
        [attr.data-test-field-id]="'requirement-version-criticality'"
        class="full-width"
        [showIcon]="true"
        [layout]="'no-buttons'"
        [enumType]="'RequirementCriticality'"
        [editable]="
          allowRequirementModification(requirementVersionViewComponentData)
        "
        [sqtmCoreEntityViewEditableSelectLevelEnumField]="'criticality'"
      >
      </sqtm-core-editable-select-level-enum-field>
    </div>
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.creation.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-auditable-field
      [attr.data-test-field-id]="'requirement-version-created'"
      [userName]="
        requirementVersionViewComponentData.requirementVersion.createdBy
      "
      [date]="requirementVersionViewComponentData.requirementVersion.createdOn"
    >
    </sqtm-core-auditable-field>
    <sqtm-core-label
      [text]="'sqtm-core.entity.requirement.category.label' | translate"
    >
    </sqtm-core-label>
    <div class="flex-row">
      <i
        nz-icon
        [nzType]="
          getIcon(
            requirementVersionViewComponentData.projectData.requirementCategory,
            requirementVersionViewComponentData.requirementVersion.category
          )
        "
        nzTheme="outline"
        class="p-r-10 sqtm-core-infolist-icon requirement-version-information-icon table-icon-size"
      ></i>
      <sqtm-core-editable-select-infolist-field
        class="full-width"
        [layout]="'no-buttons'"
        [infoListItems]="
          requirementVersionViewComponentData.projectData.requirementCategory
            .items
        "
        [sqtmCoreEntityViewEditableInfolistDirective]="'category'"
        [editable]="
          allowRequirementModification(requirementVersionViewComponentData)
        "
        [attr.data-test-field-id]="'requirement-version-category'"
      >
      </sqtm-core-editable-select-infolist-field>
    </div>
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.modification.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-auditable-field
      [attr.data-test-field-id]="'requirement-version-lastModified'"
      [userName]="
        requirementVersionViewComponentData.requirementVersion.lastModifiedBy
      "
      [date]="
        requirementVersionViewComponentData.requirementVersion.lastModifiedOn
      "
    >
    </sqtm-core-auditable-field>
    <sqtm-core-label
      [text]="'sqtm-core.entity.requirement.nature.label' | translate"
    >
    </sqtm-core-label>
    <div [attr.data-test-element-id]="'requirement-nature'">
      @if (
        requirementVersionViewComponentData.requirementVersion
          .highLevelRequirement
      ) {
        <span class="field-value-color">{{
          'sqtm-core.entity.requirement.nature.high-level' | translate
        }}</span>
      } @else {
        <span class="field-value-color">{{
          'sqtm-core.entity.requirement.nature.standard' | translate
        }}</span>
      }
    </div>
    @if (
      !requirementVersionViewComponentData.requirementVersion
        .highLevelRequirement
    ) {
      <div class="requirement-version-grid-first-column">
        <sqtm-core-label
          [text]="'sqtm-core.entity.requirement.high-level.label' | translate"
        >
        </sqtm-core-label>
      </div>
      <div class="requirement-version-grid-group-three-column">
        <sqtm-app-high-level-requirement-selector
          [isChild]="
            requirementVersionViewComponentData.requirementVersion
              .childOfRequirement
          "
          [canLink]="
            requirementVersionViewComponentData.permissions.canLink &&
            requirementVersionViewComponentData.requirementVersion.status !==
              'OBSOLETE'
          "
          [linkedHighLevelRequirement]="
            requirementVersionViewComponentData.requirementVersion
              .linkedHighLevelRequirement
          "
        >
        </sqtm-app-high-level-requirement-selector>
      </div>
    }
    @if (milestoneFeatureEnabled$ | async) {
      <div class="requirement-version-grid-first-column">
        <sqtm-core-label
          [text]="'sqtm-core.entity.milestone.label.plural' | translate"
        >
        </sqtm-core-label>
      </div>
      <div class="requirement-version-grid-group-three-column">
        <sqtm-app-milestones-tag
          [attr.data-test-field-id]="'requirement-version-milestones'"
          [milestones]="
            requirementVersionViewComponentData.requirementVersion.milestones
          "
          [warningMessageKey]="
            'sqtm-core.requirement-workspace.milestone.already-bound'
          "
          [titleKey]="'sqtm-core.dialog.milestone.bind.single'"
          [possibleMilestones]="
            requirementVersionViewComponentData.requirementVersion
              .bindableMilestones
          "
          [editable]="requirementVersionViewComponentData.permissions.canWrite"
          (deleteMilestone)="
            deleteMilestone(
              requirementVersionViewComponentData.requirementVersion.id,
              $event
            )
          "
          (bindMilestones)="
            bindMilestones(
              requirementVersionViewComponentData.requirementVersion.id,
              $event
            )
          "
        >
        </sqtm-app-milestones-tag>
      </div>
    }
    @for (cfd of customFieldData; track trackCfd($index, cfd)) {
      <sqtm-core-label
        class="requirement-version-grid-first-column"
        [attr.data-test-field-id]="cfd.label"
        [text]="cfd.label"
      >
      </sqtm-core-label>
      <div class="requirement-version-grid-group-three-column">
        <sqtm-core-custom-field-widget [sqtmCoreEntityCustomField]="cfd">
        </sqtm-core-custom-field-widget>
      </div>
    }
  </div>
  <div style="margin-top: 20px">
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.description.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-editable-rich-text
      [border]="true"
      [focus]="true"
      [editable]="
        allowRequirementModification(requirementVersionViewComponentData)
      "
      [attr.data-test-field-id]="'requirement-version-description'"
      [sqtmCoreEntityViewEditableRichTextField]="'description'"
      [placeholder]="
        'sqtm-core.generic.editable.description.placeholder' | translate
      "
    >
    </sqtm-core-editable-rich-text>
  </div>
}
